---
title: NavigatorID.taintEnabled()
slug: Web/API/NavigatorID/taintEnabled
tags:
  - API
  - Deprecated
  - HTML DOM
  - Method
  - NavigatorID
  - Reference
---
<div>{{APIRef("HTML DOM")}} {{deprecated_header}}</div>

<p>The <strong><code>NavigatorID.taintEnabled()</code></strong> method always returns <code>false</code>.</p>

<p>Tainting was a security method used by JavaScript 1.2. It has long been removed; this method only stays for maintaining compatibility with very old scripts.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>result</var> = window.navigator.taintEnabled()
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-navigator-taintenabled', 'NavigatorID.taintEnabled')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorID.taintEnabled")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("NavigatorID")}}</li>
</ul>
